Subject: Re: [xfs-masters] git://oss.sgi.com broke

From: Russell Cattelan <[email-masked]>
Date: Mon, 06 Oct 2008 11:31:31 -0500

Andrew Morton wrote:
> y:/usr/src/git26> git --version
> git version 1.5.6.rc0
>
> y:/usr/src/git26> cat .git/branches/git-xfs
> git://oss.sgi.com:8090/xfs/xfs-2.6.git#master
>
> y:/usr/src/git26> git-fetch git-xfs        
> remote: usage: git-pack-objects [{ -q | --progress | --all-progress }] 
> remote:         [--max-pack-size=N] [--local] [--incremental] 
> remote:         [--window=N] [-remote: -window-memory=N] [--depth=N] 
> remote:         [--no-reuse-delta] [--no-reuse-object] [--delta-base-offset] 
> remote:         [--threads=N] [--non-empty] [--reremote: vs [--unpacked | --all]*] [--reflog] 
> remote:         [--stdout | base-name] [--keep-unreachable] [<ref-list | <object-list]
> remote: aborting due to possible repository corruption on the remote side.
> fatal: protocol error: bad pack header
>
> It was OK yesterday.
>   

Hmm sees to work for me.
oss is running a newer version of git 1.6.0.2,  I wonder if there some 
version incomparability happening?
I'm using 1.5.6.4 on my remote client and it did a clone just fine.
Ahh but indeed a fetch failed ...
But it also fails with using v1.5.6.5 of git-daemon ...

So I don't know what is going on.

I'll keep digging into it.

Ohh and BTW we finally got the firewall set up to allow native git traffic
so you can drop port 8090 from the url.

> (cc'ing the git list in case this is an faq?)
>
> The last two error messages there look wrong/misleading?
>
>